www-infrastructure-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Srikanteswararao Talluri (JIRA)" <j...@apache.org>
Subject [jira] [Created] (INFRA-9128) java 1.7 is a requirement on jenkins slaves for cloudstack builds
Date Fri, 06 Feb 2015 19:08:35 GMT
Srikanteswararao Talluri created INFRA-9128:
-----------------------------------------------

             Summary: java 1.7 is a requirement on jenkins slaves for cloudstack builds
                 Key: INFRA-9128
                 URL: https://issues.apache.org/jira/browse/INFRA-9128
             Project: Infrastructure
          Issue Type: Bug
          Components: Jenkins
            Reporter: Srikanteswararao Talluri


java 1.7 is a requirement on jenkins slave for cloudstack builds.
For this job: https://builds.apache.org/job/cloudstack-marvin
java 1.6 is present on the slave where as build needs java1.7

 /home/jenkins/tools/java/latest1.6/bin/java -Xmx2g -Xms256m -XX:MaxPermSize=512m -cp /home/jenkins/jenkins-slave/maven3-agent.jar:/home/jenkins/tools/maven/apache-maven-3.0.4/boot/plexus-classworlds-2.4.jar
org.jvnet.hudson.maven3.agent.Maven3Main /home/jenkins/tools/maven/apache-maven-3.0.4 /x1/jenkins/jenkins-slave/slave.jar
/home/jenkins/jenkins-slave/maven3-interceptor.jar /home/jenkins/jenkins-slave/maven3-interceptor-commons.jar
41037


Error:
=========

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.2:compile (default-compile)
on project cloud-framework-managed-context: Compilation failure
[ERROR] javac: invalid target release: 1.7
[ERROR] Usage: javac <options> <source files>
[ERROR] use -help for a list of possible options
[ERROR] -> [Help 1]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message